package container

import (
	"git.frostfs.info/TrueCloudLab/frostfs-node/pkg/core/policy"
	containerSDK "git.frostfs.info/TrueCloudLab/frostfs-sdk-go/container"
)

// IsECContainer returns True if container has erasure coding policy.
func IsECContainer(cnr containerSDK.Container) bool {
	return policy.IsECPlacement(cnr.PlacementPolicy())
}
