package blobovniczatree

import (
	"errors"

	"git.frostfs.info/TrueCloudLab/frostfs-node/pkg/local_object_storage/util/logicerr"
	apistatus "git.frostfs.info/TrueCloudLab/frostfs-sdk-go/client/status"
)

var errClosed = logicerr.New("blobvnicza is closed")

func isErrOutOfRange(err error) bool {
	var target *apistatus.ObjectOutOfRange
	return errors.As(err, &target)
}

func isLogical(err error) bool {
	return errors.As(err, new(logicerr.Logical))
}
