package memstore

import (
	"context"

	"git.frostfs.info/TrueCloudLab/frostfs-node/pkg/local_object_storage/blobstor/compression"
	"git.frostfs.info/TrueCloudLab/frostfs-node/pkg/local_object_storage/shard/mode"
)

func (s *memstoreImpl) Open(mod mode.ComponentMode) error {
	s.readOnly = mod.ReadOnly()
	return nil
}

func (s *memstoreImpl) Init() error                                             { return nil }
func (s *memstoreImpl) Close(context.Context) error                             { return nil }
func (s *memstoreImpl) Type() string                                            { return Type }
func (s *memstoreImpl) Path() string                                            { return s.rootPath }
func (s *memstoreImpl) SetCompressor(cc *compression.Config)                    { s.compression = cc }
func (s *memstoreImpl) Compressor() *compression.Config                         { return s.compression }
func (s *memstoreImpl) SetReportErrorFunc(func(context.Context, string, error)) {}
func (s *memstoreImpl) SetParentID(string)                                      {}
