package accounting

import (
	"context"

	"git.frostfs.info/TrueCloudLab/frostfs-sdk-go/api/accounting"
)

// Server is an interface of the FrostFS API Accounting service server.
type Server interface {
	Balance(context.Context, *accounting.BalanceRequest) (*accounting.BalanceResponse, error)
}
