package test

import (
	"testing"

	"git.frostfs.info/TrueCloudLab/frostfs-node/pkg/util/logger"
	"go.uber.org/zap"
	"go.uber.org/zap/zapcore"
	"go.uber.org/zap/zaptest"
)

// NewLogger creates a new logger.
func NewLogger(t testing.TB) *logger.Logger {
	return logger.NewLoggerWrapper(
		zaptest.NewLogger(t,
			zaptest.Level(zapcore.DebugLevel),
			zaptest.WrapOptions(zap.Development(), zap.AddCaller()),
		),
	)
}
