package object

import (
	objectSDK "git.frostfs.info/TrueCloudLab/frostfs-sdk-go/object"
)

// IsECSupported returns True if EC supported for object.
//
// EC supported only for regular, not linking objects.
func IsECSupported(obj *objectSDK.Object) bool {
	return obj.Type() == objectSDK.TypeRegular &&
		len(obj.Children()) == 0
}
