package maddress

import (
	"fmt"

	"git.frostfs.info/TrueCloudLab/frostfs-node/pkg/network"
	"git.frostfs.info/TrueCloudLab/frostfs-sdk-go/netmap"
)

// VerifyAndUpdate calls network.VerifyAddress.
func (v *Validator) VerifyAndUpdate(n *netmap.NodeInfo) error {
	err := network.VerifyMultiAddress(*n)
	if err != nil {
		return fmt.Errorf("could not verify multiaddress: %w", err)
	}

	return nil
}
