package v2

// InnerRingFetcher is an interface that must provide
// Inner Ring information.
type InnerRingFetcher interface {
	// InnerRingKeys must return list of public keys of
	// the actual inner ring.
	InnerRingKeys() ([][]byte, error)
}
